#if !defined(AFX_CONFIGUREGROUPTZ_H__4A0B9FB4_4D45_4689_875F_F059B410D2DC__INCLUDED_)
#define AFX_CONFIGUREGROUPTZ_H__4A0B9FB4_4D45_4689_875F_F059B410D2DC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigureGroupTZ.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigureGroupTZ dialog

class CConfigureGroupTZ : public CDialog
{
// Construction
public:
	CConfigureGroupTZ(CWnd* pParent = NULL);   // standard constructor
	CConfigureGroupTZ(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CConfigureGroupTZ)
	enum { IDD = IDD_CONFIGUREGROUPTZ };
	CComboBox	m_Timezones;
	CComboBox	m_Groups;
	CComboBox	m_PanelList;
	CComboBox	m_AcctList;
	CString	m_ExistTZ;
	CString	m_AccountName;
	CString	m_GroupName;
	CString	m_ExistingTimezoneName;
	CString	m_TimezoneName;
	CString	m_PanelName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigureGroupTZ)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConfigureGroupTZ)
	afx_msg void OnSelchangeAccountlist();
	afx_msg void OnSelchangePanellist();
	virtual BOOL OnInitDialog();
	afx_msg void OnConfigure();
	afx_msg void OnSelchangeGroups();
	afx_msg void OnSelchangeTimezones();
	//}}AFX_MSG
private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadPanels();
	void LoadGroups();
	void LoadPanelTimezones();
	void GetExistingTimezone();
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGUREGROUPTZ_H__4A0B9FB4_4D45_4689_875F_F059B410D2DC__INCLUDED_)
